/* Parham Data Products                                                      */
/* Expert Rules Engine                                                       */
/* main/expert/model/rulesDetails/loan/variableResolver/BankResolver         */
/* Copyright 2020 Wayne Parham                                               */

package com.parhamdata.expert.model.rulesDetails.loan.variableResolver;

import com.parhamdata.expert.model.rulesEngine.variableResolver.VariableResolver;
import org.springframework.stereotype.Component;

@Component
public class BankResolver implements VariableResolver {
    private static final String RESOLVER = "bank";
    private static final String PRIME_INTEREST   = "prime_interest";
    private static final String PRIME_PLUS_HALF  = "prime_plus_half";
    private static final String PRIME_PLUS_ONE   = "prime_plus_one";
    private static final String PRIME_PLUS_TWO   = "prime_plus_two";
    private static final String PRIME_PLUS_THREE = "prime_plus_three";
    private static final Double primeRate = 3.25;

    @Override
    public String getResolverKeyword() {
        return RESOLVER;
    }

    @Override
    public Object resolveValue(String keyword) {
        if (keyword.equalsIgnoreCase(PRIME_INTEREST)) {
            return primeRate;
        }
        else if (keyword.equalsIgnoreCase(PRIME_PLUS_HALF)) {
            return primeRate + 0.5;
        }
        else if (keyword.equalsIgnoreCase(PRIME_PLUS_ONE)) {
            return primeRate + 1;
        }
        else if (keyword.equalsIgnoreCase(PRIME_PLUS_TWO)) {
            return primeRate + 2;
        }
        else if (keyword.equalsIgnoreCase(PRIME_PLUS_THREE)) {
            return primeRate + 3;
        }
        else {
            return null;
        }
    }
}