/* Parham Data Products                                                      */
/* Expert Rules Engine                                                       */
/* expert/model/rulesDetails/multiPromo/MultiPromoInferenceEngine            */
/* Copyright 2020 Wayne Parham                                               */

package com.parhamdata.expert.model.rulesDetails.multiPromo;

import com.parhamdata.expert.model.rulesEngine.InferenceEngine;
import com.parhamdata.expert.model.RulesetDomain;
import com.parhamdata.expert.services.databaseService.RuleRecord;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Service;
import lombok.Builder;

@Builder
@Service
public class MultiPromoInferenceEngine extends InferenceEngine<CartItems, PromoItems> {

    @Override
    protected RulesetDomain getDomain() {
        return RulesetDomain.MULTIPROMO;
    }

    @Override
    protected PromoItems initializeOutputResult() {
        return PromoItems.builder().build();
    }
}