/* Parham Data Products                                                      */
/* Expert Rules Engine                                                       */
/* expert/model/rulesDetails/promoAggregate/PromoAggregateInferenceEngine    */
/* Copyright 2020 Wayne Parham                                               */

package com.parhamdata.expert.model.rulesDetails.promoAggregate;

import com.parhamdata.expert.model.rulesEngine.InferenceEngine;
import com.parhamdata.expert.model.RulesetDomain;
import com.parhamdata.expert.services.databaseService.RuleRecord;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Service;
import lombok.Builder;

@Builder
@Service
public class PromoAggregateInferenceEngine extends InferenceEngine<PromoAggregateInput, PromoAggregateOutput> {

    @Override
    protected RulesetDomain getDomain() {
        return RulesetDomain.PROMOAGGREGATE;
    }

    @Override
    protected PromoAggregateOutput initializeOutputResult() {
        return PromoAggregateOutput.builder().build();
    }
}
