/* Parham Data Products                                                      */
/* Expert Rules Engine                                                       */
/* main/expert/services/databaseService/RulesRepository                      */
/* Copyright 2020 Wayne Parham                                               */

package com.parhamdata.expert.services.databaseService;

import org.springframework.transaction.annotation.Transactional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import java.util.Optional;
import java.util.List;

@Repository
public interface RulesRepository extends JpaRepository<RuleRecord, Long> {
    List<RuleRecord> findAll();
    List<RuleRecord> findRuleById(Integer id);
    List<RuleRecord> findRulesByDomain(String domain);
    Optional<RuleRecord> findRuleByDomainAndId(String domain, Integer id);
    RuleRecord findFirstByDomainOrderByIdDesc(String domain);
    @Transactional
    List<RuleRecord> deleteByDomain(String Domain);
    @Transactional
    List<RuleRecord> deleteByDomainAndId(String domain, Integer id);
    @Transactional
    RuleRecord save(RuleRecord rule);
}